
Auto Multiple Choice - Bug # 613: [archllinux] incompatibility with opencv4

Status: Closed Priority: High
Author: Benoit Landrieu Category: Installation
Created: 12/06/2018 Assignee:
Updated: 12/29/2018 Due date:
Description: Hello,

I've maintained last version of amc in aur (https://aur.archlinux.org/packages/auto-multiple-choice/) with some 
helps I've managed to install last version of amc (https://gitlab.com/jojo_boulix/auto-multiple-choice/).

Since update of opencv in archlinux (opencv4 : https://www.archlinux.org/packages/extra/x86_64/opencv/), 
the compilation didn't work indeed the path of the library changes :

<pre>
/usr/include/opencv/opencv2 to /usr/include/opencv4/opencv2
</pre>

I managed to find a parted solution : 
<pre>
--- Makefile	2018-12-06 16:24:50.518930933 +0100
+++ Makefile.old	2018-12-06 16:24:38.418931069 +0100
@@ -52,8 +52,8 @@
 endif
 endif
 
-GCC_OPENCV ?= $(shell pkg-config --cflags opencv4)
-GCC_OPENCV_LIBS ?= $(shell pkg-config --libs opencv4)
+GCC_OPENCV ?= $(shell pkg-config --cflags opencv)
+GCC_OPENCV_LIBS ?= $(shell pkg-config --libs opencv)
 GCC_PDF ?= $(shell pkg-config --cflags --libs cairo pangocairo poppler-glib)
 GCC_POPPLER ?= $(shell pkg-config --cflags --libs poppler-glib gio-2.0)
</pre>

But after that the compilation is impossible :

<pre>
make auto-multiple-choice auto-multiple-choice.desktop AMC-gui-apropos.glade AMC-gui.pl 
AMC-latex-link.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl 
doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl doc/auto-multiple-choice.en.xml 
doc/auto-multiple-choice.fr.xml doc/auto-multiple-choice.ja.xml doc/sty/automultiplechoice.dtx
make[1]: Entering directory '/home/ben/arch/auto-multiple-choice'
make[1]: 'auto-multiple-choice' is up to date.
make[1]: 'auto-multiple-choice.desktop' is up to date.
make[1]: 'AMC-gui-apropos.glade' is up to date.
make[1]: 'AMC-gui.pl' is up to date.
make[1]: 'AMC-latex-link.pl' is up to date.
make[1]: 'AMC-perl/AMC/Basic.pm' is up to date.
make[1]: 'doc/doc-xhtml-site.fr.xsl' is up to date.
make[1]: 'doc/doc-xhtml-site.ja.xsl' is up to date.
make[1]: 'doc/doc-xhtml-site.en.xsl' is up to date.
make[1]: 'doc/amcdocstyle.sty' is up to date.
make[1]: 'doc/doc-xhtml.xsl' is up to date.
make[1]: 'doc/auto-multiple-choice.en.xml' is up to date.
make[1]: 'doc/auto-multiple-choice.fr.xml' is up to date.
make[1]: 'doc/auto-multiple-choice.ja.xml' is up to date.
make[1]: 'doc/sty/automultiplechoice.dtx' is up to date.
make[1]: Leaving directory '/home/ben/arch/auto-multiple-choice'
make AMC-detect AMC-buildpdf AMC-pdfformfields icons/auto-multiple-choice.xpm 
icons/auto-multiple-choice.svgz doc I18N
make[1]: Entering directory '/home/ben/arch/auto-multiple-choice'
gcc -o AMC-detect AMC-detect.cc  -O2   -lstdc++ -lm -I/usr/include/opencv4/opencv -I/usr/include/opencv4  
-lopencv_gapi -lopencv_stitching -lopencv_aruco -lopencv_bgsegm -lopencv_bioinspired -lopencv_ccalib 
-lopencv_dnn_objdetect -lopencv_dpm -lopencv_face -lopencv_freetype -lopencv_fuzzy -lopencv_hdf 
-lopencv_hfs -lopencv_img_hash -lopencv_line_descriptor -lopencv_reg -lopencv_rgbd -lopencv_saliency 
-lopencv_stereo -lopencv_structured_light -lopencv_phase_unwrapping -lopencv_superres -lopencv_optflow 
-lopencv_surface_matching -lopencv_tracking -lopencv_datasets -lopencv_text -lopencv_dnn -lopencv_plot 
-lopencv_videostab -lopencv_video -lopencv_photo -lopencv_viz -lopencv_xfeatures2d -lopencv_shape 
-lopencv_ml -lopencv_ximgproc -lopencv_xobjdetect -lopencv_objdetect -lopencv_calib3d 
-lopencv_features2d -lopencv_highgui -lopencv_videoio -lopencv_imgcodecs -lopencv_flann -lopencv_xphoto 
-lopencv_imgproc -lopencv_core 
AMC-detect.cc: In function ‘void load_image(cv::Mat&, char*, int, double, int)’:
AMC-detect.cc:189:56: error: ‘cvGetErrStatus’ was not declared in this scope
       printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                                        ^~~~~~~~~~~~~~
AMC-detect.cc:189:45: error: ‘cvErrorStr’ was not declared in this scope
       printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                             ^~~~~~~~~~
AMC-detect.cc:189:45: note: suggested alternative: ‘error_t’
       printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                             ^~~~~~~~~~
                                             error_t
AMC-detect.cc:197:56: error: ‘cvGetErrStatus’ was not declared in this scope
       printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                                        ^~~~~~~~~~~~~~
AMC-detect.cc:197:45: error: ‘cvErrorStr’ was not declared in this scope
       printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                             ^~~~~~~~~~
AMC-detect.cc:197:45: note: suggested alternative: ‘error_t’
       printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                             ^~~~~~~~~~
                                             error_t
AMC-detect.cc: In function ‘void pre_traitement(cv::Mat&, int, int)’:
AMC-detect.cc:222:7: error: ‘CV_SHAPE_ELLIPSE’ was not declared in this scope
       CV_SHAPE_ELLIPSE,
       ^~~~~~~~~~~~~~~~
AMC-detect.cc:222:7: note: suggested alternative: ‘CV_MAKE_TYPE’
       CV_SHAPE_ELLIPSE,
       ^~~~~~~~~~~~~~~~
       CV_MAKE_TYPE
AMC-detect.cc:231:30: error: ‘CV_MOP_CLOSE’ was not declared in this scope
   cv::morphologyEx(src, src, CV_MOP_CLOSE, trous);
                              ^~~~~~~~~~~~
AMC-detect.cc:231:30: note: suggested alternative: ‘CV_CPU_NONE’
   cv::morphologyEx(src, src, CV_MOP_CLOSE, trous);
                              ^~~~~~~~~~~~
                              CV_CPU_NONE
AMC-detect.cc:232:30: error: ‘CV_MOP_OPEN’ was not declared in this scope
   cv::morphologyEx(src, src, CV_MOP_OPEN, poussieres);
                              ^~~~~~~~~~~
AMC-detect.cc:232:30: note: suggested alternative: ‘CV_PROP’
   cv::morphologyEx(src, src, CV_MOP_OPEN, poussieres);
                              ^~~~~~~~~~~
                              CV_PROP
AMC-detect.cc: In function ‘void calage(cv::Mat, cv::Mat, double, double, double, double, double, int, double*, 
double*, cv::Mat&, int)’:
AMC-detect.cc:498:3: error: ‘CvPoint’ was not declared in this scope
   CvPoint coins_int[4];
   ^~~~~~~
AMC-detect.cc:498:3: note: suggested alternative: ‘point’
   CvPoint coins_int[4];
   ^~~~~~~
   point
In file included from /usr/include/opencv4/opencv2/core/cvdef.h:165,
                 from /usr/include/opencv4/opencv2/core.hpp:52,
                 from /usr/include/opencv4/opencv2/core/core.hpp:48,
                 from AMC-detect.cc:40:
AMC-detect.cc:520:61: error: ‘IPL_DEPTH_8U’ was not declared in this scope
     dst = cv::Mat(cv::Size(src.rows, src.cols), CV_MAKETYPE(IPL_DEPTH_8U, 3));
                                                             ^~~~~~~~~~~~
/usr/include/opencv4/opencv2/core/hal/interface.h:83:35: note: in definition of macro ‘CV_MAT_DEPTH’
 #define CV_MAT_DEPTH(flags)     ((flags) & CV_MAT_DEPTH_MASK)
                                   ^~~~~
AMC-detect.cc:520:49: note: in expansion of macro ‘CV_MAKETYPE’
     dst = cv::Mat(cv::Size(src.rows, src.cols), CV_MAKETYPE(IPL_DEPTH_8U, 3));
                                                 ^~~~~~~~~~~
AMC-detect.cc:520:61: note: suggested alternative: ‘CV_DEPTH_MAX’
     dst = cv::Mat(cv::Size(src.rows, src.cols), CV_MAKETYPE(IPL_DEPTH_8U, 3));
                                                             ^~~~~~~~~~~~
/usr/include/opencv4/opencv2/core/hal/interface.h:83:35: note: in definition of macro ‘CV_MAT_DEPTH’
 #define CV_MAT_DEPTH(flags)     ((flags) & CV_MAT_DEPTH_MASK)
                                   ^~~~~
AMC-detect.cc:520:49: note: in expansion of macro ‘CV_MAKETYPE’
     dst = cv::Mat(cv::Size(src.rows, src.cols), CV_MAKETYPE(IPL_DEPTH_8U, 3));
                                                 ^~~~~~~~~~~
AMC-detect.cc:534:46: error: ‘CV_RETR_CCOMP’ was not declared in this scope
   cv::findContours(src, contours, hierarchy, CV_RETR_CCOMP, CV_CHAIN_APPROX_SIMPLE);
                                              ^~~~~~~~~~~~~
AMC-detect.cc:534:61: error: ‘CV_CHAIN_APPROX_SIMPLE’ was not declared in this scope
   cv::findContours(src, contours, hierarchy, CV_RETR_CCOMP, CV_CHAIN_APPROX_SIMPLE);
                                                             ^~~~~~~~~~~~~~~~~~~~~~
AMC-detect.cc:573:51: error: ‘CV_FILLED’ was not declared in this scope
         cv::drawContours(dst, contours, i, color, CV_FILLED);
                                                   ^~~~~~~~~
AMC-detect.cc:573:51: note: suggested alternative: ‘CV_UNUSED’
         cv::drawContours(dst, contours, i, color, CV_FILLED);
                                                   ^~~~~~~~~
                                                   CV_UNUSED
AMC-detect.cc:581:51: error: ‘CV_FILLED’ was not declared in this scope
         cv::drawContours(dst, contours, i, color, CV_FILLED);
                                                   ^~~~~~~~~
AMC-detect.cc:581:51: note: suggested alternative: ‘CV_UNUSED’
         cv::drawContours(dst, contours, i, color, CV_FILLED);
                                                   ^~~~~~~~~
                                                   CV_UNUSED
AMC-detect.cc:591:9: error: ‘coins_int’ was not declared in this scope
         coins_int[i].x = (int)coins_x[i];
         ^~~~~~~~~
AMC-detect.cc:591:9: note: suggested alternative: ‘coins_x’
         coins_int[i].x = (int)coins_x[i];
         ^~~~~~~~~
         coins_x
AMC-detect.cc:603:23: error: ‘coins_int’ was not declared in this scope
         cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(255,255,255), 1, CV_AA);
                       ^~~~~~~~~
AMC-detect.cc:603:23: note: suggested alternative: ‘coins_x’
         cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(255,255,255), 1, CV_AA);
                       ^~~~~~~~~
                       coins_x
AMC-detect.cc:603:81: error: ‘CV_AA’ was not declared in this scope
         cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(255,255,255), 1, CV_AA);
                                                                                 ^~~~~
AMC-detect.cc:603:81: note: suggested alternative: ‘CV_8U’
         cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(255,255,255), 1, CV_AA);
                                                                                 ^~~~~
                                                                                 CV_8U
AMC-detect.cc:610:23: error: ‘coins_int’ was not declared in this scope
         cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(193,29,27), 1, CV_AA);
                       ^~~~~~~~~
AMC-detect.cc:610:23: note: suggested alternative: ‘coins_x’
         cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(193,29,27), 1, CV_AA);
                       ^~~~~~~~~
                       coins_x
AMC-detect.cc:610:79: error: ‘CV_AA’ was not declared in this scope
         cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(193,29,27), 1, CV_AA);
                                                                               ^~~~~
AMC-detect.cc:610:79: note: suggested alternative: ‘CV_8U’
         cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(193,29,27), 1, CV_AA);
                                                                               ^~~~~
                                                                               CV_8U
AMC-detect.cc:617:27: error: ‘coins_int’ was not declared in this scope
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], BLEU, 1, CV_AA);
                           ^~~~~~~~~
AMC-detect.cc:617:27: note: suggested alternative: ‘coins_x’
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], BLEU, 1, CV_AA);
                           ^~~~~~~~~
                           coins_x
AMC-detect.cc:617:70: error: ‘CV_AA’ was not declared in this scope
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], BLEU, 1, CV_AA);
                                                                      ^~~~~
AMC-detect.cc:617:70: note: suggested alternative: ‘CV_8U’
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], BLEU, 1, CV_AA);
                                                                      ^~~~~
                                                                      CV_8U
AMC-detect.cc: In function ‘void mesure_case(cv::Mat, cv::Mat, int, int, int, int, int, double, int, double, double, 
double, double, linear_transform*, point*, cv::Mat&, char*, int)’:
AMC-detect.cc:782:3: error: ‘CvScalar’ was not declared in this scope
   CvScalar pixel;
   ^~~~~~~~
AMC-detect.cc:789:3: error: ‘CvPoint’ was not declared in this scope
   CvPoint coins_int[4];
   ^~~~~~~
AMC-detect.cc:789:3: note: suggested alternative: ‘point’
   CvPoint coins_int[4];
   ^~~~~~~
   point
AMC-detect.cc:804:7: error: ‘coins_int’ was not declared in this scope
       coins_int[i].x = (int)coins[i].x;
       ^~~~~~~~~
AMC-detect.cc:804:7: note: suggested alternative: ‘coins’
       coins_int[i].x = (int)coins[i].x;
       ^~~~~~~~~
       coins
AMC-detect.cc:811:27: error: ‘coins_int’ was not declared in this scope
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], BLEU, 1, CV_AA);
                           ^~~~~~~~~
AMC-detect.cc:811:27: note: suggested alternative: ‘coins’
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], BLEU, 1, CV_AA);
                           ^~~~~~~~~
                           coins
AMC-detect.cc:811:70: error: ‘CV_AA’ was not declared in this scope
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], BLEU, 1, CV_AA);
                                                                      ^~~~~
AMC-detect.cc:811:70: note: suggested alternative: ‘CV_8U’
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], BLEU, 1, CV_AA);
                                                                      ^~~~~
                                                                      CV_8U
AMC-detect.cc:821:10: error: ‘coins_int’ was not declared in this scope
       if(coins_int[i].x < z_xmin) z_xmin = coins_int[i].x;
          ^~~~~~~~~
AMC-detect.cc:821:10: note: suggested alternative: ‘coins’
       if(coins_int[i].x < z_xmin) z_xmin = coins_int[i].x;
          ^~~~~~~~~
          coins
AMC-detect.cc:822:10: error: ‘coins_int’ was not declared in this scope
       if(coins_int[i].x > z_xmax) z_xmax = coins_int[i].x;
          ^~~~~~~~~
AMC-detect.cc:822:10: note: suggested alternative: ‘coins’
       if(coins_int[i].x > z_xmax) z_xmax = coins_int[i].x;
          ^~~~~~~~~
          coins
AMC-detect.cc:823:10: error: ‘coins_int’ was not declared in this scope
       if(coins_int[i].y < z_ymin) z_ymin = coins_int[i].y;
          ^~~~~~~~~
AMC-detect.cc:823:10: note: suggested alternative: ‘coins’
       if(coins_int[i].y < z_ymin) z_ymin = coins_int[i].y;
          ^~~~~~~~~
          coins
AMC-detect.cc:824:10: error: ‘coins_int’ was not declared in this scope
       if(coins_int[i].y > z_ymax) z_ymax = coins_int[i].y;
          ^~~~~~~~~
AMC-detect.cc:824:10: note: suggested alternative: ‘coins’
       if(coins_int[i].y > z_ymax) z_ymax = coins_int[i].y;
          ^~~~~~~~~
          coins
AMC-detect.cc:950:7: error: ‘coins_int’ was not declared in this scope
       coins_int[i].x = (int)coins[i].x;
       ^~~~~~~~~
AMC-detect.cc:950:7: note: suggested alternative: ‘coins’
       coins_int[i].x = (int)coins[i].x;
       ^~~~~~~~~
       coins
AMC-detect.cc:957:21: error: ‘coins_int’ was not declared in this scope
       cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(255,255,255), 1, CV_AA);
                     ^~~~~~~~~
AMC-detect.cc:957:21: note: suggested alternative: ‘coins’
       cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(255,255,255), 1, CV_AA);
                     ^~~~~~~~~
                     coins
AMC-detect.cc:957:79: error: ‘CV_AA’ was not declared in this scope
       cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(255,255,255), 1, CV_AA);
                                                                               ^~~~~
AMC-detect.cc:957:79: note: suggested alternative: ‘CV_8U’
       cv::line(dst, coins_int[i], coins_int[(i+1)%4], CV_RGB(255,255,255), 1, CV_AA);
                                                                               ^~~~~
                                                                               CV_8U
AMC-detect.cc:966:27: error: ‘coins_int’ was not declared in this scope
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], ROSE, 1, CV_AA);
                           ^~~~~~~~~
AMC-detect.cc:966:27: note: suggested alternative: ‘coins’
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], ROSE, 1, CV_AA);
                           ^~~~~~~~~
                           coins
AMC-detect.cc:966:70: error: ‘CV_AA’ was not declared in this scope
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], ROSE, 1, CV_AA);
                                                                      ^~~~~
AMC-detect.cc:966:70: note: suggested alternative: ‘CV_8U’
         cv::line(illustr, coins_int[i], coins_int[(i+1)%4], ROSE, 1, CV_AA);
                                                                      ^~~~~
                                                                      CV_8U
AMC-detect.cc: In function ‘int main(int, char**)’:
AMC-detect.cc:1122:62: error: ‘cvGetErrStatus’ was not declared in this scope
             printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                                              ^~~~~~~~~~~~~~
AMC-detect.cc:1122:51: error: ‘cvErrorStr’ was not declared in this scope
             printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                                   ^~~~~~~~~~
AMC-detect.cc:1122:51: note: suggested alternative: ‘error_t’
             printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                                   ^~~~~~~~~~
                                                   error_t
AMC-detect.cc:1137:62: error: ‘cvGetErrStatus’ was not declared in this scope
             printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                                              ^~~~~~~~~~~~~~
AMC-detect.cc:1137:51: error: ‘cvErrorStr’ was not declared in this scope
             printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                                   ^~~~~~~~~~
AMC-detect.cc:1137:51: note: suggested alternative: ‘error_t’
             printf("! OpenCV error string: %s\n", cvErrorStr(cvGetErrStatus()));
                                                   ^~~~~~~~~~
                                                   error_t
AMC-detect.cc:1295:98: error: ‘CV_AA’ was not declared in this scope
         cv::putText(illustr, text, textpos, cv::FONT_HERSHEY_PLAIN, fh/14, BLEU, 1+(int)(fh/20), CV_AA);
                                                                                                  ^~~~~
AMC-detect.cc:1295:98: note: suggested alternative: ‘CV_8U’
         cv::putText(illustr, text, textpos, cv::FONT_HERSHEY_PLAIN, fh/14, BLEU, 1+(int)(fh/20), CV_AA);
                                                                                                  ^~~~~
                                                                                                  CV_8U
AMC-detect.cc:1330:19: error: ‘cvGetErrStatus’ was not declared in this scope
       int error = cvGetErrStatus();
                   ^~~~~~~~~~~~~~
AMC-detect.cc:1333:24: error: ‘cvErrorStr’ was not declared in this scope
         errorMessage = cvErrorStr(error);
                        ^~~~~~~~~~
AMC-detect.cc:1333:24: note: suggested alternative: ‘error_t’
         errorMessage = cvErrorStr(error);
                        ^~~~~~~~~~
                        error_t
make[1]: *** [Makefile:130: AMC-detect] Error 1
make[1]: Leaving directory '/home/ben/arch/auto-multiple-choice'
make: *** [Makefile:114: all] Error 2

</pre>

this kind of message is beyond my competences... I found some differences in AMC-detect.cc for version of 
opencv (1,2,3) 

<pre>cat /usr/include/opencv4/opencv2/core/version.hpp
// This file is part of OpenCV project.
// It is subject to the license terms in the LICENSE file found in the top-level directory
// of this distribution and at http://opencv.org/license.html.

#ifndef OPENCV_VERSION_HPP
#define OPENCV_VERSION_HPP

#define CV_VERSION_MAJOR    4
#define CV_VERSION_MINOR    0
#define CV_VERSION_REVISION 0
#define CV_VERSION_STATUS   ""

#define CVAUX_STR_EXP(__A)  #__A
#define CVAUX_STR(__A)      CVAUX_STR_EXP(__A)

#define CVAUX_STRW_EXP(__A)  L ## #__A
#define CVAUX_STRW(__A)      CVAUX_STRW_EXP(__A)

#define CV_VERSION          CVAUX_STR(CV_VERSION_MAJOR) "." CVAUX_STR(CV_VERSION_MINOR) 
"." CVAUX_STR(CV_VERSION_REVISION) CV_VERSION_STATUS

/* old  style version constants*/
#define CV_MAJOR_VERSION    CV_VERSION_MAJOR
#define CV_MINOR_VERSION    CV_VERSION_MINOR
#define CV_SUBMINOR_VERSION CV_VERSION_REVISION

#endif // OPENCV_VERSION_HPP
</pre>

some help could be great since amc is not working anymore in aur...

thanks you

History
12/06/2018 05:26 pm - Alexis Bienvenüe
- File AMC-detect.cc added

Can you try to rebuild with the attached version of @AMC-detect.cc@?

12/06/2018 06:05 pm - Benoit Landrieu
Alexis Bienvenüe wrote:
> Can you try to rebuild with the attached version of @AMC-detect.cc@?

Hello Alexis,

Thanks to the quick reply as always ;)

less compilation error with the new file :
<pre>
make auto-multiple-choice auto-multiple-choice.desktop AMC-gui-apropos.glade AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm 
doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl doc/auto-multiple-choice.en.xml 
doc/auto-multiple-choice.fr.xml doc/auto-multiple-choice.ja.xml doc/sty/automultiplechoice.dtx
make[1]: Entering directory '/home/ben/arch/auto-multiple-choice'
make[1]: 'auto-multiple-choice' is up to date.
make[1]: 'auto-multiple-choice.desktop' is up to date.
make[1]: 'AMC-gui-apropos.glade' is up to date.
make[1]: 'AMC-gui.pl' is up to date.
make[1]: 'AMC-latex-link.pl' is up to date.
make[1]: 'AMC-perl/AMC/Basic.pm' is up to date.
make[1]: 'doc/doc-xhtml-site.fr.xsl' is up to date.
make[1]: 'doc/doc-xhtml-site.ja.xsl' is up to date.
make[1]: 'doc/doc-xhtml-site.en.xsl' is up to date.
make[1]: 'doc/amcdocstyle.sty' is up to date.
make[1]: 'doc/doc-xhtml.xsl' is up to date.
make[1]: 'doc/auto-multiple-choice.en.xml' is up to date.
make[1]: 'doc/auto-multiple-choice.fr.xml' is up to date.
make[1]: 'doc/auto-multiple-choice.ja.xml' is up to date.
make[1]: 'doc/sty/automultiplechoice.dtx' is up to date.
make[1]: Leaving directory '/home/ben/arch/auto-multiple-choice'
make AMC-detect AMC-buildpdf AMC-pdfformfields icons/auto-multiple-choice.xpm icons/auto-multiple-choice.svgz doc I18N
make[1]: Entering directory '/home/ben/arch/auto-multiple-choice'
gcc -o AMC-detect AMC-detect.cc  -O2   -lstdc++ -lm -I/usr/include/opencv4/opencv -I/usr/include/opencv4  -lopencv_gapi -lopencv_stitching 
-lopencv_aruco -lopencv_bgsegm -lopencv_bioinspired -lopencv_ccalib -lopencv_dnn_objdetect -lopencv_dpm -lopencv_face -lopencv_freetype 
-lopencv_fuzzy -lopencv_hdf -lopencv_hfs -lopencv_img_hash -lopencv_line_descriptor -lopencv_reg -lopencv_rgbd -lopencv_saliency -lopencv_stereo 
-lopencv_structured_light -lopencv_phase_unwrapping -lopencv_superres -lopencv_optflow -lopencv_surface_matching -lopencv_tracking 
-lopencv_datasets -lopencv_text -lopencv_dnn -lopencv_plot -lopencv_videostab -lopencv_video -lopencv_photo -lopencv_viz -lopencv_xfeatures2d 
-lopencv_shape -lopencv_ml -lopencv_ximgproc -lopencv_xobjdetect -lopencv_objdetect -lopencv_calib3d -lopencv_features2d -lopencv_highgui 
-lopencv_videoio -lopencv_imgcodecs -lopencv_flann -lopencv_xphoto -lopencv_imgproc -lopencv_core 
In file included from /usr/include/opencv4/opencv2/core/cvdef.h:165,
                 from /usr/include/opencv4/opencv2/core.hpp:52,
                 from /usr/include/opencv4/opencv2/core/core.hpp:48,
                 from AMC-detect.cc:40:
AMC-detect.cc: In function ‘void calage(cv::Mat, cv::Mat, double, double, double, double, double, int, double*, double*, cv::Mat&, int)’:
AMC-detect.cc:520:61: error: ‘IPL_DEPTH_8U’ was not declared in this scope
     dst = cv::Mat(cv::Size(src.rows, src.cols), CV_MAKETYPE(IPL_DEPTH_8U, 3));
                                                             ^~~~~~~~~~~~
/usr/include/opencv4/opencv2/core/hal/interface.h:83:35: note: in definition of macro ‘CV_MAT_DEPTH’
 #define CV_MAT_DEPTH(flags)     ((flags) & CV_MAT_DEPTH_MASK)
                                   ^~~~~
AMC-detect.cc:520:49: note: in expansion of macro ‘CV_MAKETYPE’
     dst = cv::Mat(cv::Size(src.rows, src.cols), CV_MAKETYPE(IPL_DEPTH_8U, 3));
                                                 ^~~~~~~~~~~
AMC-detect.cc:520:61: note: suggested alternative: ‘CV_DEPTH_MAX’
     dst = cv::Mat(cv::Size(src.rows, src.cols), CV_MAKETYPE(IPL_DEPTH_8U, 3));
                                                             ^~~~~~~~~~~~
/usr/include/opencv4/opencv2/core/hal/interface.h:83:35: note: in definition of macro ‘CV_MAT_DEPTH’
 #define CV_MAT_DEPTH(flags)     ((flags) & CV_MAT_DEPTH_MASK)
                                   ^~~~~
AMC-detect.cc:520:49: note: in expansion of macro ‘CV_MAKETYPE’
     dst = cv::Mat(cv::Size(src.rows, src.cols), CV_MAKETYPE(IPL_DEPTH_8U, 3));
                                                 ^~~~~~~~~~~
AMC-detect.cc: In function ‘void mesure_case(cv::Mat, cv::Mat, int, int, int, int, int, double, int, double, double, double, double, linear_transform*, point*, 
cv::Mat&, char*, int)’:
AMC-detect.cc:782:3: error: ‘CvScalar’ was not declared in this scope
   CvScalar pixel;
   ^~~~~~~~
make[1]: *** [Makefile:130: AMC-detect] Error 1
make[1]: Leaving directory '/home/ben/arch/auto-multiple-choice'
make: *** [Makefile:114: all] Error 2
</pre>

12/06/2018 06:47 pm - Alexis Bienvenüe
- File AMC-detect.cc added

Ok, thanks. New version for test.
12/06/2018 08:27 pm - Benoit Landrieu
Alexis Bienvenüe wrote:
> Ok, thanks. New version for test.

it goes beyond... I try installing 
<pre>
community/lvtk 1.2.0-1 [installed]
    Libraries wrapping the LV2 C API and extensions into C++ classes
community/vtk 8.1.2-1 [installed]
    A software system for 3D computer graphics, image processing, and visualization
</pre>

<pre>
/usr/bin/ld: warning: libhdf5.so.103, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so, not found (try using -rpath or 
-rpath-link)
/usr/bin/ld: warning: libGLEW.so.2.1, needed by /usr/lib/libvtkRenderingOpenGL2.so.1, not found (try using -rpath or -rpath-link)
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5P_CLS_DATASET_CREATE_ID_g'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dread'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDeleteQueries'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBindBuffer'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__GLEW_ARB_texture_rg'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGenRenderbuffers'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dget_create_plist'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBindBufferBase'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewEndTransformFeedback'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Aopen_name'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Eset_auto2'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Fcreate'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__GLEW_VERSION_3_2'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBufferData'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_NATIVE_UCHAR_g'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniform3fv'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tget_size'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Pset_chunk'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__GLEW_EXT_gpu_shader4'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Sselect_hyperslab'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniformMatrix3fv'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Pget_layout'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDeleteRenderbuffers'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5P_CLS_LINK_ACCESS_ID_g'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewTexImage3D'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Pget_chunk'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetShaderiv'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewTransformFeedbackVaryings'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBindFragDataLocation'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__GLEW_ARB_texture_float'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDisableVertexAttribArray'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tinsert'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tequal'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5check_version'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBlitFramebuffer'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBeginQuery'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewFramebufferTexture2D'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dget_space'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__GLEW_ARB_vertex_array_object'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniform1f'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGenFramebuffers'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tget_array_dims2'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewClampColor'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Aget_space'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDeleteProgram'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tclose'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetQueryObjectuiv'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGenVertexArrays'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Fis_hdf5'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetFramebufferAttachmentParameteriv'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewMapBufferRange'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dopen2'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewTexBuffer'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dget_type'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBeginTransformFeedback'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDeleteVertexArrays'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewShaderSource'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetBufferPointerv'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5open'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDeleteFramebuffers'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Sset_extent_simple'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_NATIVE_FLOAT_g'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDeleteShader'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewCheckFramebufferStatus'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewFramebufferRenderbuffer'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDrawBuffers'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetAttribLocation'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewQueryCounter'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_NATIVE_USHORT_g'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Pcreate'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__GLEW_ARB_instanced_arrays'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniform1fv'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Eget_auto2'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBlendEquation'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewVertexAttribPointer'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBindVertexArray'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewEndQuery'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Aclose'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetQueryObjectiv'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_NATIVE_INT32_g'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUseProgram'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tset_size'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBindFramebuffer'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewFramebufferTexture3D'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Pclose'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tarray_create2'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__GLEW_VERSION_3_1'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewRenderbufferStorage'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetUniformLocation'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Screate_simple'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Sget_simple_extent_ndims'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Aget_type'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_NATIVE_SCHAR_g'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetProgramiv'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetShaderInfoLog'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniform2iv'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Screate'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniform2fv'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGenBuffers'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetQueryObjectui64v'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tcreate'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniformMatrix4fv'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dwrite'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGenerateMipmap'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewTexImage2DMultisample'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewCreateProgram'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBindRenderbuffer'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Awrite'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dextend'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Fclose'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tget_super'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Gclose'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tset_strpad'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tget_native_type'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDeleteBuffers'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewCompileShader'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Aopen'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Lexists'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_C_S1_g'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Gcreate2'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tget_class'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_NATIVE_INT_g'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewMapBuffer'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Tcopy'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniform1i'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewRenderbufferStorageMultisample'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewVertexAttribDivisorARB'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewAttachShader'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetProgramInfoLog'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewLinkProgram'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Sclose'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUnmapBuffer'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_NATIVE_SHORT_g'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniform4fv'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `glewIsSupported'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDrawRangeElements'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5T_NATIVE_DOUBLE_g'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Aread'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dclose'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetRenderbufferParameteriv'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewEnableVertexAttribArray'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Sget_simple_extent_dims'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Dcreate2'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Pset_deflate'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewUniform1iv'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewCreateShader'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGetStringi'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewGenQueries'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDetachShader'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Fopen'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Adelete'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewActiveTexture'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewDrawElementsInstancedARB'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `glewInit'
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/8.2.1/../../../../lib/libopencv_hdf.so: undefined reference to `H5Acreate2'
/usr/bin/ld: /usr/lib/libvtkRenderingOpenGL2.so.1: undefined reference to `__glewBlendFuncSeparate'
collect2: error: ld returned 1 exit status
make[1]: *** [Makefile:130: AMC-detect] Error 1
make[1]: Leaving directory '/home/ben/arch/gitlab/auto-multiple-choice'
make: *** [Makefile:114: all] Error 2
</pre>

12/06/2018 08:35 pm - Alexis Bienvenüe
It seems that @libhdf5@ and @libGLEW@ are missing: can you check that these libraries are installed, or install them?

12/06/2018 09:43 pm - Benoit Landrieu
Alexis Bienvenüe wrote:
> It seems that @libhdf5@ and @libGLEW@ are missing: can you check that these libraries are installed, or install them?
<pre>
depends=('glew' 'dblatex' 'vtk' 'hdf5')
</pre>

works in progress, thanks you

make all_precomp works 

I made so far new amc.patch with all changes

make all is needed ?

<pre>
make all
make auto-multiple-choice auto-multiple-choice.desktop AMC-gui-apropos.glade AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm 
doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl doc/auto-multiple-choice.en.xml 
doc/auto-multiple-choice.fr.xml doc/auto-multiple-choice.ja.xml doc/sty/automultiplechoice.dtx
make[1]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
make[1]: 'auto-multiple-choice' is up to date.
make[1]: 'auto-multiple-choice.desktop' is up to date.
make[1]: 'AMC-gui-apropos.glade' is up to date.
make[1]: 'AMC-gui.pl' is up to date.
make[1]: 'AMC-latex-link.pl' is up to date.
make[1]: 'AMC-perl/AMC/Basic.pm' is up to date.
make[1]: 'doc/doc-xhtml-site.fr.xsl' is up to date.
make[1]: 'doc/doc-xhtml-site.ja.xsl' is up to date.
make[1]: 'doc/doc-xhtml-site.en.xsl' is up to date.
make[1]: 'doc/amcdocstyle.sty' is up to date.
make[1]: 'doc/doc-xhtml.xsl' is up to date.
make[1]: 'doc/auto-multiple-choice.en.xml' is up to date.
make[1]: 'doc/auto-multiple-choice.fr.xml' is up to date.
make[1]: 'doc/auto-multiple-choice.ja.xml' is up to date.
make[1]: 'doc/sty/automultiplechoice.dtx' is up to date.
make[1]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
make AMC-detect AMC-buildpdf AMC-pdfformfields icons/auto-multiple-choice.xpm icons/auto-multiple-choice.svgz doc I18N
make[1]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
make[1]: 'AMC-detect' is up to date.
make[1]: 'AMC-buildpdf' is up to date.
make[1]: 'AMC-pdfformfields' is up to date.
rsvg-convert -w 32 -h 32 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice.png
pngtopnm icons/auto-multiple-choice.png | ppmtoxpm > icons/auto-multiple-choice.xpm
ppmtoxpm: (Computing colormap...
ppmtoxpm: ...Done.  41 colors found.)
gzip -k -S z icons/auto-multiple-choice.svg
rsvg-convert -a -w 16 -h 16 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-16.png ;  rsvg-convert -a -w 22 -h 22 
icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-22.png ;  rsvg-convert -a -w 24 -h 24 icons/auto-multiple-choice.svg -o 
icons/auto-multiple-choice-24.png ;  rsvg-convert -a -w 32 -h 32 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-32.png ;  rsvg-convert -a -w 
48 -h 48 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-48.png ;  rsvg-convert -a -w 256 -h 256 icons/auto-multiple-choice.svg -o 
icons/auto-multiple-choice-256.png ;  rsvg-convert -a -w 512 -h 512 icons/auto-multiple-choice.svg -o icons/auto-multiple-choice-512.png ;
make -C doc
make[2]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2/doc'
dblatex -P latex.encoding=utf8 -b xetex -t tex -p custom.xsl --texstyle=amcdocstyle --xslt-opts="--nonet" --xslt-opts="--catalogs"  
auto-multiple-choice.ja.xml -o auto-multiple-choice.ja.tex
Build the book set list...
Build the listings...
XSLT stylesheets DocBook - LaTeX 2e (0.3.10)
===================================================
Image '\emph{\small{ͰhͰtwidth=3cmͱtͱh' not found
Image 'tiger' not found
'auto-multiple-choice.ja.tex' successfully built
rsvg-convert -f pdf img_src/warning.svg -o img_pdf/warning.pdf
Environment variable $SOURCE_DATE_EPOCH: No digits were found: 
make[2]: *** [Makefile:55: img_pdf/warning.pdf] Error 1
rm img_pdf/warning.pdf auto-multiple-choice.ja.tex
make[2]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2/doc'
make[1]: *** [Makefile:161: doc] Error 2
rm icons/auto-multiple-choice.png
make[1]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
make: *** [Makefile:114: all] Error 2
</pre>

<pre>
  amc-rc2 git:(master) ✗ makepkg -si
==> Making package: auto-multiple-choice 1.4.0~rc2-1 (Thu 06 Dec 2018 09:42:18 PM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found auto-multiple-choice-1.4.0-rc2.zip
  -> Found amc2.patch
==> Validating source files with md5sums...
    auto-multiple-choice-1.4.0-rc2.zip ... Skipped
    amc2.patch ... Skipped
==> Extracting sources...
  -> Extracting auto-multiple-choice-1.4.0-rc2.zip with bsdtar
==> Removing existing $pkgdir/ directory...
==> Starting build()...
patching file Makefile.conf
patching file Makefile
patching file AMC-detect.cc
make auto-multiple-choice auto-multiple-choice.desktop AMC-gui-apropos.glade AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm 
doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl doc/auto-multiple-choice.en.xml 
doc/auto-multiple-choice.fr.xml doc/auto-multiple-choice.ja.xml doc/sty/automultiplechoice.dtx
make[1]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
Recording substitution variables from ./Makefile.conf
xsltproc --nonet authors-subs.xsl authors.xml >> vars-subs.pl
/usr/bin/perl -p vars-subs.pl auto-multiple-choice.in > auto-multiple-choice
/usr/bin/perl -p vars-subs.pl auto-multiple-choice.desktop.in > auto-multiple-choice.desktop
/usr/bin/perl -p vars-subs.pl AMC-gui-apropos.glade.in > AMC-gui-apropos.glade
/usr/bin/perl -p vars-subs.pl AMC-gui.pl.in > AMC-gui.pl
/usr/bin/perl -p vars-subs.pl AMC-latex-link.pl.in > AMC-latex-link.pl
/usr/bin/perl -p vars-subs.pl AMC-perl/AMC/Basic.pm.in > AMC-perl/AMC/Basic.pm
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.fr.xsl.in > doc/doc-xhtml-site.fr.xsl
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.ja.xsl.in > doc/doc-xhtml-site.ja.xsl
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.en.xsl.in > doc/doc-xhtml-site.en.xsl
/usr/bin/perl -p vars-subs.pl doc/amcdocstyle.sty.in > doc/amcdocstyle.sty
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml.xsl.in > doc/doc-xhtml.xsl
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.en.in.xml > doc/auto-multiple-choice.en.xml
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.fr.in.xml > doc/auto-multiple-choice.fr.xml
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.ja.in.xml > doc/auto-multiple-choice.ja.xml
/usr/bin/perl -p vars-subs.pl doc/sty/automultiplechoice.dtx.in > doc/sty/automultiplechoice.dtx
make[1]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
make AMC-detect AMC-buildpdf AMC-pdfformfields
make[1]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
gcc -o AMC-detect AMC-detect.cc -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/opencv4/opencv -I/usr/include/opencv4  -lopencv_gapi -lopencv_stitching 
-lopencv_aruco -lopencv_bgsegm -lopencv_bioinspired -lopencv_ccalib -lopencv_dnn_objdetect -lopencv_dpm -lopencv_face -lopencv_freetype 
-lopencv_fuzzy -lopencv_hdf -lopencv_hfs -lopencv_img_hash -lopencv_line_descriptor -lopencv_reg -lopencv_rgbd -lopencv_saliency -lopencv_stereo 
-lopencv_structured_light -lopencv_phase_unwrapping -lopencv_superres -lopencv_optflow -lopencv_surface_matching -lopencv_tracking 
-lopencv_datasets -lopencv_text -lopencv_dnn -lopencv_plot -lopencv_videostab -lopencv_video -lopencv_photo -lopencv_viz -lopencv_xfeatures2d 
-lopencv_shape -lopencv_ml -lopencv_ximgproc -lopencv_xobjdetect -lopencv_objdetect -lopencv_calib3d -lopencv_features2d -lopencv_highgui 
-lopencv_videoio -lopencv_imgcodecs -lopencv_flann -lopencv_xphoto -lopencv_imgproc -lopencv_core 
gcc -o AMC-buildpdf AMC-buildpdf.cc -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
-I/usr/lib/libffi-3.2.1/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/uuid 
-I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/poppler/glib -I/usr/include/poppler -lpangocairo-1.0 -lpango-1.0 -lpoppler-glib -lgobject-2.0 
-lglib-2.0 -lcairo  -I/usr/include/opencv4/opencv -I/usr/include/opencv4  -lopencv_gapi -lopencv_stitching -lopencv_aruco -lopencv_bgsegm 
-lopencv_bioinspired -lopencv_ccalib -lopencv_dnn_objdetect -lopencv_dpm -lopencv_face -lopencv_freetype -lopencv_fuzzy -lopencv_hdf 
-lopencv_hfs -lopencv_img_hash -lopencv_line_descriptor -lopencv_reg -lopencv_rgbd -lopencv_saliency -lopencv_stereo -lopencv_structured_light 
-lopencv_phase_unwrapping -lopencv_superres -lopencv_optflow -lopencv_surface_matching -lopencv_tracking -lopencv_datasets -lopencv_text 
-lopencv_dnn -lopencv_plot -lopencv_videostab -lopencv_video -lopencv_photo -lopencv_viz -lopencv_xfeatures2d -lopencv_shape -lopencv_ml 
-lopencv_ximgproc -lopencv_xobjdetect -lopencv_objdetect -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio 
-lopencv_imgcodecs -lopencv_flann -lopencv_xphoto -lopencv_imgproc -lopencv_core 
gcc -o AMC-pdfformfields pdfformfields.c -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/poppler/glib -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
-I/usr/lib/libffi-3.2.1/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz 
-I/usr/include/uuid -I/usr/include/poppler -pthread -I/usr/include/libmount -I/usr/include/blkid -lpoppler-glib -lcairo -lgio-2.0 -lgobject-2.0 -lglib-2.0 
make[1]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
==> Entering fakeroot environment...
==> Starting package_auto-multiple-choice()...
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install    -m 0644 -o root -g root doc/modeles/ar/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install: cannot stat 'doc/modeles/ar/*.tgz': No such file or directory
make: [Makefile:219: install_models_ar] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/ar/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install    -m 0644 -o root -g root doc/modeles/en/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install: cannot stat 'doc/modeles/en/*.tgz': No such file or directory
make: [Makefile:219: install_models_en] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/en/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install    -m 0644 -o root -g root doc/modeles/fr/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install: cannot stat 'doc/modeles/fr/*.tgz': No such file or directory
make: [Makefile:219: install_models_fr] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/fr/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install    -m 0644 -o root -g root doc/modeles/ja/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install: cannot stat 'doc/modeles/ja/*.tgz': No such file or directory
make: [Makefile:219: install_models_ja] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/ja/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/mime/packages
install    -m 0644 -o root -g root interfaces/auto-multiple-choice.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/mime/packages
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/gtksourceview-3.0/language-specs
install    -m 0644 -o root -g root interfaces/amc-txt.lang /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/gtksourceview-3.0/language-specs
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/exec
install    -m 0755 -o root -g root AMC-*.pl /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install    -m 0755 -o root -g root AMC-detect AMC-buildpdf AMC-pdfformfields /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/exec
install    -m 0644 -o root -g root AMC-gui-apropos.glade AMC-gui-cleanup.glade AMC-gui-saisie_auto.glade AMC-gui-choix_pages_impression.glade 
AMC-gui-mailing.glade AMC-gui-unrecognized.glade AMC-gui-source_latex_choix_zip.glade AMC-gui-liste_dialog.glade AMC-gui-main_window.glade 
AMC-gui-overwritten.glade AMC-gui-choose_students.glade AMC-gui-source_latex_dialog.glade AMC-gui-edit_preferences.glade 
AMC-gui-choose-mode.glade AMC-gui-make_template.glade AMC-gui-choix_postcorrect.glade AMC-gui-choose_columns.glade 
AMC-gui-source_latex_modele.glade AMC-gui-filter_details.glade AMC-gui-choix_projet.glade AMC-gui-source_latex_choix.glade 
/home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/texmf/tex/latex/AMC
install    -m 0644 -o root -g root doc/sty/automultiplechoice.sty /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/texmf/tex/latex/AMC
install: cannot stat 'doc/sty/automultiplechoice.sty': No such file or directory
make: *** [Makefile:238: install_nodoc] Error 1
==> ERROR: A failure occurred in package_auto-multiple-choice().
    Aborting...
</pre>

12/06/2018 10:33 pm - Alexis Bienvenüe
> make all is needed ?
If you use the @_dist.tar.gz@ archive, @make all@ is not needed: @make all_precomp@ is enough, and you should then be able to run @make 
install@.
12/06/2018 10:46 pm - Benoit Landrieu
Alexis Bienvenüe wrote:
> > make all is needed ?
> If you use the @_dist.tar.gz@ archive, @make all@ is not needed: @make all_precomp@ is enough, and you should then be able to run @make 
install@.

ok result of command in local aur git (with new amc.patch)

<pre>
makepkg -si
==> Making package: auto-multiple-choice 1.4.0~rc2-1 (Thu 06 Dec 2018 10:43:16 PM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found auto-multiple-choice-1.4.0-rc2.zip
  -> Found amc2.patch
==> Validating source files with md5sums...
    auto-multiple-choice-1.4.0-rc2.zip ... Skipped
    amc2.patch ... Skipped
==> Extracting sources...
  -> Extracting auto-multiple-choice-1.4.0-rc2.zip with bsdtar
==> Removing existing $pkgdir/ directory...
==> Starting build()...
patching file Makefile.conf
patching file Makefile
patching file AMC-detect.cc
make auto-multiple-choice auto-multiple-choice.desktop AMC-gui-apropos.glade AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm 
doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl doc/auto-multiple-choice.en.xml 
doc/auto-multiple-choice.fr.xml doc/auto-multiple-choice.ja.xml doc/sty/automultiplechoice.dtx
make[1]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
Recording substitution variables from ./Makefile.conf
xsltproc --nonet authors-subs.xsl authors.xml >> vars-subs.pl
/usr/bin/perl -p vars-subs.pl auto-multiple-choice.in > auto-multiple-choice
/usr/bin/perl -p vars-subs.pl auto-multiple-choice.desktop.in > auto-multiple-choice.desktop
/usr/bin/perl -p vars-subs.pl AMC-gui-apropos.glade.in > AMC-gui-apropos.glade
/usr/bin/perl -p vars-subs.pl AMC-gui.pl.in > AMC-gui.pl
/usr/bin/perl -p vars-subs.pl AMC-latex-link.pl.in > AMC-latex-link.pl
/usr/bin/perl -p vars-subs.pl AMC-perl/AMC/Basic.pm.in > AMC-perl/AMC/Basic.pm
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.fr.xsl.in > doc/doc-xhtml-site.fr.xsl
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.ja.xsl.in > doc/doc-xhtml-site.ja.xsl
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.en.xsl.in > doc/doc-xhtml-site.en.xsl
/usr/bin/perl -p vars-subs.pl doc/amcdocstyle.sty.in > doc/amcdocstyle.sty
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml.xsl.in > doc/doc-xhtml.xsl
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.en.in.xml > doc/auto-multiple-choice.en.xml
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.fr.in.xml > doc/auto-multiple-choice.fr.xml
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.ja.in.xml > doc/auto-multiple-choice.ja.xml
/usr/bin/perl -p vars-subs.pl doc/sty/automultiplechoice.dtx.in > doc/sty/automultiplechoice.dtx
make[1]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
make AMC-detect AMC-buildpdf AMC-pdfformfields
make[1]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
gcc -o AMC-detect AMC-detect.cc -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/opencv4/opencv -I/usr/include/opencv4  -lopencv_gapi -lopencv_stitching 
-lopencv_aruco -lopencv_bgsegm -lopencv_bioinspired -lopencv_ccalib -lopencv_dnn_objdetect -lopencv_dpm -lopencv_face -lopencv_freetype 
-lopencv_fuzzy -lopencv_hdf -lopencv_hfs -lopencv_img_hash -lopencv_line_descriptor -lopencv_reg -lopencv_rgbd -lopencv_saliency -lopencv_stereo 
-lopencv_structured_light -lopencv_phase_unwrapping -lopencv_superres -lopencv_optflow -lopencv_surface_matching -lopencv_tracking 
-lopencv_datasets -lopencv_text -lopencv_dnn -lopencv_plot -lopencv_videostab -lopencv_video -lopencv_photo -lopencv_viz -lopencv_xfeatures2d 
-lopencv_shape -lopencv_ml -lopencv_ximgproc -lopencv_xobjdetect -lopencv_objdetect -lopencv_calib3d -lopencv_features2d -lopencv_highgui 
-lopencv_videoio -lopencv_imgcodecs -lopencv_flann -lopencv_xphoto -lopencv_imgproc -lopencv_core 
gcc -o AMC-buildpdf AMC-buildpdf.cc -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
-I/usr/lib/libffi-3.2.1/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/uuid 
-I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/poppler/glib -I/usr/include/poppler -lpangocairo-1.0 -lpango-1.0 -lpoppler-glib -lgobject-2.0 
-lglib-2.0 -lcairo  -I/usr/include/opencv4/opencv -I/usr/include/opencv4  -lopencv_gapi -lopencv_stitching -lopencv_aruco -lopencv_bgsegm 
-lopencv_bioinspired -lopencv_ccalib -lopencv_dnn_objdetect -lopencv_dpm -lopencv_face -lopencv_freetype -lopencv_fuzzy -lopencv_hdf 
-lopencv_hfs -lopencv_img_hash -lopencv_line_descriptor -lopencv_reg -lopencv_rgbd -lopencv_saliency -lopencv_stereo -lopencv_structured_light 
-lopencv_phase_unwrapping -lopencv_superres -lopencv_optflow -lopencv_surface_matching -lopencv_tracking -lopencv_datasets -lopencv_text 
-lopencv_dnn -lopencv_plot -lopencv_videostab -lopencv_video -lopencv_photo -lopencv_viz -lopencv_xfeatures2d -lopencv_shape -lopencv_ml 
-lopencv_ximgproc -lopencv_xobjdetect -lopencv_objdetect -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio 
-lopencv_imgcodecs -lopencv_flann -lopencv_xphoto -lopencv_imgproc -lopencv_core 
gcc -o AMC-pdfformfields pdfformfields.c -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/poppler/glib -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
-I/usr/lib/libffi-3.2.1/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz 
-I/usr/include/uuid -I/usr/include/poppler -pthread -I/usr/include/libmount -I/usr/include/blkid -lpoppler-glib -lcairo -lgio-2.0 -lgobject-2.0 -lglib-2.0 
make[1]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
==> Entering fakeroot environment...
==> Starting package_auto-multiple-choice()...
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install    -m 0644 -o root -g root doc/modeles/ar/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install: cannot stat 'doc/modeles/ar/*.tgz': No such file or directory
make: [Makefile:219: install_models_ar] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/ar/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install    -m 0644 -o root -g root doc/modeles/en/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install: cannot stat 'doc/modeles/en/*.tgz': No such file or directory
make: [Makefile:219: install_models_en] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/en/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install    -m 0644 -o root -g root doc/modeles/fr/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install: cannot stat 'doc/modeles/fr/*.tgz': No such file or directory
make: [Makefile:219: install_models_fr] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/fr/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install    -m 0644 -o root -g root doc/modeles/ja/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install: cannot stat 'doc/modeles/ja/*.tgz': No such file or directory
make: [Makefile:219: install_models_ja] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/ja/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/mime/packages
install    -m 0644 -o root -g root interfaces/auto-multiple-choice.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/mime/packages
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/gtksourceview-3.0/language-specs
install    -m 0644 -o root -g root interfaces/amc-txt.lang /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/gtksourceview-3.0/language-specs
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/exec
install    -m 0755 -o root -g root AMC-*.pl /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install    -m 0755 -o root -g root AMC-detect AMC-buildpdf AMC-pdfformfields /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/exec
install    -m 0644 -o root -g root AMC-gui-apropos.glade AMC-gui-cleanup.glade AMC-gui-saisie_auto.glade AMC-gui-choix_pages_impression.glade 
AMC-gui-mailing.glade AMC-gui-unrecognized.glade AMC-gui-source_latex_choix_zip.glade AMC-gui-liste_dialog.glade AMC-gui-main_window.glade 
AMC-gui-overwritten.glade AMC-gui-choose_students.glade AMC-gui-source_latex_dialog.glade AMC-gui-edit_preferences.glade 
AMC-gui-choose-mode.glade AMC-gui-make_template.glade AMC-gui-choix_postcorrect.glade AMC-gui-choose_columns.glade 
AMC-gui-source_latex_modele.glade AMC-gui-filter_details.glade AMC-gui-choix_projet.glade AMC-gui-source_latex_choix.glade 
/home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/texmf/tex/latex/AMC
install    -m 0644 -o root -g root doc/sty/automultiplechoice.sty /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/texmf/tex/latex/AMC
install: cannot stat 'doc/sty/automultiplechoice.sty': No such file or directory
make: *** [Makefile:238: install_nodoc] Error 1

</pre>
<pre>
#Maintainer  : Benoit LANDRIEU
#Contributor : Thomas LEGRAND
#Contributor : Alexis Bienvenue
#Contributor : fabmen

pkgbase='auto-multiple-choice'
pkgname='auto-multiple-choice'
pkgver='1.4.0~rc2'
pkgrel='1'
pkgdesc="AMC est un ensemble d'utilitaires permettant de créer, gérer et corriger automatiquement des questionnaires à choix multiples (QCM)"
arch=('i686' 'x86_64')
url='http://auto-multiple-choice.net/'
license=('GPL')

depends=('perl' 'perl-glib-object-introspection'
 'perl-locale-gettext' 'perl-xml-writer' 'perl-xml-simple'
 'perl-dbd-sqlite' 'perl-file-mimeinfo' 'ttf-linux-libertine'
  'perl-text-csv' 'perl-dbi' 'perl-archive-zip'
  'graphicsmagick' 'texlive-bin' 'texlive-core'
  'gtk2-perl' 'netpbm' 'opencv' 'poppler' 'poppler-glib' 'perl-clone'
  'perl-gtk3'
  'glew' 'dblatex' 'vtk' 'hdf5')

source=('https://gitlab.com/jojo_boulix/auto-multiple-choice/-/archive/1.4.0-rc2/auto-multiple-choice-1.4.0-rc2.zip'
'amc2.patch')  

md5sums=('SKIP'
    'SKIP')

build() {
  #cd "$srcdir"/$pkgbase-$pkgver
  cd auto-multiple-choice-1.4.0-rc2
  patch -p 1 < $srcdir"/amc2.patch"
  make all_precomp|| return 1
}

package_auto-multiple-choice(){
  install='amc.install'
  cd auto-multiple-choice-1.4.0-rc2
  make DESTDIR="$pkgdir/" install
}
</pre>

12/07/2018 06:08 pm - Alexis Bienvenüe
Can you check that the contents of your @zip@ file are the same as those from the @_dist.tar.gz@ file from 
https://gitlab.com/jojo_boulix/auto-multiple-choice/tags?
The @_dist.tar.gz@ file is not a pure source archive, but contains generated documentation. The only files to build from it are the executables, so that a 
@make@ should be sufficient (this corresponds to the @all_precomp@ target) — also followed by @make install@.

12/08/2018 03:50 am - Benoit Landrieu
Alexis Bienvenüe wrote:
> Can you check that the contents of your @zip@ file are the same as those from the @_dist.tar.gz@ file from 
https://gitlab.com/jojo_boulix/auto-multiple-choice/tags?
> The @_dist.tar.gz@ file is not a pure source archive, but contains generated documentation. The only files to build from it are the executables, so 
that a @make@ should be sufficient (this corresponds to the @all_precomp@ target) — also followed by @make install@.

make works but not makepkg -si

<pre>
➜  amc-rc2 git:(master) ✗ makepkg -si
==> Making package: auto-multiple-choice 1.4.0~rc2-1 (Sat 08 Dec 2018 03:49:49 AM CET)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Downloading auto-multiple-choice-1.4.0-rc2.zip...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 5341k  100 5341k    0     0  1284k      0  0:00:04  0:00:04 --:--:-- 1284k
  -> Found amc2.patch
==> Validating source files with md5sums...
    auto-multiple-choice-1.4.0-rc2.zip ... Skipped
    amc2.patch ... Skipped
==> Extracting sources...
  -> Extracting auto-multiple-choice-1.4.0-rc2.zip with bsdtar
==> Starting build()...
patching file Makefile.conf
patching file Makefile
patching file AMC-detect.cc
make auto-multiple-choice auto-multiple-choice.desktop AMC-gui-apropos.glade AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm 
doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.ja.xsl doc/doc-xhtml-site.en.xsl doc/amcdocstyle.sty doc/doc-xhtml.xsl doc/auto-multiple-choice.en.xml 
doc/auto-multiple-choice.fr.xml doc/auto-multiple-choice.ja.xml doc/sty/automultiplechoice.dtx
make[1]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
Recording substitution variables from ./Makefile.conf
xsltproc --nonet authors-subs.xsl authors.xml >> vars-subs.pl
/usr/bin/perl -p vars-subs.pl auto-multiple-choice.in > auto-multiple-choice
/usr/bin/perl -p vars-subs.pl auto-multiple-choice.desktop.in > auto-multiple-choice.desktop
/usr/bin/perl -p vars-subs.pl AMC-gui-apropos.glade.in > AMC-gui-apropos.glade
/usr/bin/perl -p vars-subs.pl AMC-gui.pl.in > AMC-gui.pl
/usr/bin/perl -p vars-subs.pl AMC-latex-link.pl.in > AMC-latex-link.pl
/usr/bin/perl -p vars-subs.pl AMC-perl/AMC/Basic.pm.in > AMC-perl/AMC/Basic.pm
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.fr.xsl.in > doc/doc-xhtml-site.fr.xsl
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.ja.xsl.in > doc/doc-xhtml-site.ja.xsl
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml-site.en.xsl.in > doc/doc-xhtml-site.en.xsl
/usr/bin/perl -p vars-subs.pl doc/amcdocstyle.sty.in > doc/amcdocstyle.sty
/usr/bin/perl -p vars-subs.pl doc/doc-xhtml.xsl.in > doc/doc-xhtml.xsl
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.en.in.xml > doc/auto-multiple-choice.en.xml
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.fr.in.xml > doc/auto-multiple-choice.fr.xml
/usr/bin/perl -p vars-subs.pl doc/auto-multiple-choice.ja.in.xml > doc/auto-multiple-choice.ja.xml
/usr/bin/perl -p vars-subs.pl doc/sty/automultiplechoice.dtx.in > doc/sty/automultiplechoice.dtx
make[1]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
make AMC-detect AMC-buildpdf AMC-pdfformfields
make[1]: Entering directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
gcc -o AMC-detect AMC-detect.cc -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/opencv4/opencv -I/usr/include/opencv4  -lopencv_gapi -lopencv_stitching 
-lopencv_aruco -lopencv_bgsegm -lopencv_bioinspired -lopencv_ccalib -lopencv_dnn_objdetect -lopencv_dpm -lopencv_face -lopencv_freetype 
-lopencv_fuzzy -lopencv_hdf -lopencv_hfs -lopencv_img_hash -lopencv_line_descriptor -lopencv_reg -lopencv_rgbd -lopencv_saliency -lopencv_stereo 
-lopencv_structured_light -lopencv_phase_unwrapping -lopencv_superres -lopencv_optflow -lopencv_surface_matching -lopencv_tracking 
-lopencv_datasets -lopencv_text -lopencv_dnn -lopencv_plot -lopencv_videostab -lopencv_video -lopencv_photo -lopencv_viz -lopencv_xfeatures2d 
-lopencv_shape -lopencv_ml -lopencv_ximgproc -lopencv_xobjdetect -lopencv_objdetect -lopencv_calib3d -lopencv_features2d -lopencv_highgui 
-lopencv_videoio -lopencv_imgcodecs -lopencv_flann -lopencv_xphoto -lopencv_imgproc -lopencv_core 
gcc -o AMC-buildpdf AMC-buildpdf.cc -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
-I/usr/lib/libffi-3.2.1/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/uuid 
-I/usr/include/pango-1.0 -I/usr/include/fribidi -I/usr/include/poppler/glib -I/usr/include/poppler -lpangocairo-1.0 -lpango-1.0 -lpoppler-glib -lgobject-2.0 
-lglib-2.0 -lcairo  -I/usr/include/opencv4/opencv -I/usr/include/opencv4  -lopencv_gapi -lopencv_stitching -lopencv_aruco -lopencv_bgsegm 
-lopencv_bioinspired -lopencv_ccalib -lopencv_dnn_objdetect -lopencv_dpm -lopencv_face -lopencv_freetype -lopencv_fuzzy -lopencv_hdf 
-lopencv_hfs -lopencv_img_hash -lopencv_line_descriptor -lopencv_reg -lopencv_rgbd -lopencv_saliency -lopencv_stereo -lopencv_structured_light 
-lopencv_phase_unwrapping -lopencv_superres -lopencv_optflow -lopencv_surface_matching -lopencv_tracking -lopencv_datasets -lopencv_text 
-lopencv_dnn -lopencv_plot -lopencv_videostab -lopencv_video -lopencv_photo -lopencv_viz -lopencv_xfeatures2d -lopencv_shape -lopencv_ml 
-lopencv_ximgproc -lopencv_xobjdetect -lopencv_objdetect -lopencv_calib3d -lopencv_features2d -lopencv_highgui -lopencv_videoio 
-lopencv_imgcodecs -lopencv_flann -lopencv_xphoto -lopencv_imgproc -lopencv_core 
gcc -o AMC-pdfformfields pdfformfields.c -D_FORTIFY_SOURCE=2 -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector-strong -fno-plt 
-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now  -lstdc++ -lm -I/usr/include/poppler/glib -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include 
-I/usr/lib/libffi-3.2.1/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz 
-I/usr/include/uuid -I/usr/include/poppler -pthread -I/usr/include/libmount -I/usr/include/blkid -lpoppler-glib -lcairo -lgio-2.0 -lgobject-2.0 -lglib-2.0 
make[1]: Leaving directory '/home/ben/arch/amc-rc2/src/auto-multiple-choice-1.4.0-rc2'
==> Entering fakeroot environment...
==> Starting package_auto-multiple-choice()...
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install    -m 0644 -o root -g root doc/modeles/ar/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install: cannot stat 'doc/modeles/ar/*.tgz': No such file or directory
make: [Makefile:219: install_models_ar] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/ar/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ar
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install    -m 0644 -o root -g root doc/modeles/en/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install: cannot stat 'doc/modeles/en/*.tgz': No such file or directory
make: [Makefile:219: install_models_en] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/en/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/en
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install    -m 0644 -o root -g root doc/modeles/fr/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install: cannot stat 'doc/modeles/fr/*.tgz': No such file or directory
make: [Makefile:219: install_models_fr] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/fr/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/fr
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install    -m 0644 -o root -g root doc/modeles/ja/*.tgz /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install: cannot stat 'doc/modeles/ja/*.tgz': No such file or directory
make: [Makefile:219: install_models_ja] Error 1 (ignored)
install    -m 0644 -o root -g root doc/modeles/ja/*.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/auto-multiple-choice/models/ja
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/mime/packages
install    -m 0644 -o root -g root interfaces/auto-multiple-choice.xml /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/mime/packages
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/gtksourceview-3.0/language-specs
install    -m 0644 -o root -g root interfaces/amc-txt.lang /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/gtksourceview-3.0/language-specs
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/exec
install    -m 0755 -o root -g root AMC-*.pl /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install    -m 0755 -o root -g root AMC-detect AMC-buildpdf AMC-pdfformfields /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/exec
install    -m 0644 -o root -g root AMC-gui-apropos.glade AMC-gui-cleanup.glade AMC-gui-saisie_auto.glade AMC-gui-choix_pages_impression.glade 
AMC-gui-mailing.glade AMC-gui-unrecognized.glade AMC-gui-source_latex_choix_zip.glade AMC-gui-liste_dialog.glade AMC-gui-main_window.glade 
AMC-gui-overwritten.glade AMC-gui-choose_students.glade AMC-gui-source_latex_dialog.glade AMC-gui-edit_preferences.glade 
AMC-gui-choose-mode.glade AMC-gui-make_template.glade AMC-gui-choix_postcorrect.glade AMC-gui-choose_columns.glade 
AMC-gui-source_latex_modele.glade AMC-gui-filter_details.glade AMC-gui-choix_projet.glade AMC-gui-source_latex_choix.glade 
/home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/lib/AMC/perl
install -d -m 0755 -o root -g root /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/texmf/tex/latex/AMC
install    -m 0644 -o root -g root doc/sty/automultiplechoice.sty /home/ben/arch/amc-rc2/pkg/auto-multiple-choice///usr/share/texmf/tex/latex/AMC
install: cannot stat 'doc/sty/automultiplechoice.sty': No such file or directory
make: *** [Makefile:238: install_nodoc] Error 1
==> ERROR: A failure occurred in package_auto-multiple-choice().
    Aborting...
</pre>

12/08/2018 01:12 pm - Benoit Landrieu
compilation and installation works ! (commenting make doc install_doc)

one error in execution :
<pre>
Can't locate AMC/Path.pm in @INC (you may need to install the AMC::Path module) (@INC contains: 
/home/ben/perl5/lib/perl5/5.28.1/x86_64-linux-thread-multi /home/ben/perl5/lib/perl5/5.28.1 /home/ben/perl5/lib/perl5/x86_64-linux-thread-multi 
/home/ben/perl5/lib/perl5 /usr/lib/perl5/5.28/site_perl /usr/share/perl5/site_perl /usr/lib/perl5/5.28/vendor_perl /usr/share/perl5/vendor_perl 
/usr/lib/perl5/5.28/core_perl /usr/share/perl5/core_perl) at /usr/lib/AMC/perl/AMC-gui.pl line 49.
BEGIN failed--compilation aborted at /usr/lib/AMC/perl/AMC-gui.pl line 49.
</pre>

12/09/2018 10:21 am - Alexis Bienvenüe
Can you check that the value of @PERLDIR@ in @Makefile.conf@ (where AMC perl modules are installed) is in the standard @@INC@ (see your 
error message)?

12/09/2018 10:24 am - Benoit Landrieu
Alexis Bienvenüe wrote:
> Can you check that the value of @PERLDIR@ in @Makefile.conf@ (where AMC perl modules are installed) is in the standard @@INC@ (see your 
error message)?

<pre>
# directory for perl modules
PERLDIR=/usr/share/perl5/vendor_perl
</pre>

12/09/2018 10:32 am - Alexis Bienvenüe
Can you check that the installation stage installed the AMC perl modules in this directory?
  ls /usr/share/perl5/vendor_perl/AMC

12/09/2018 11:14 am - Benoit Landrieu
Alexis Bienvenüe wrote:
> Can you check that the installation stage installed the AMC perl modules in this directory?
> 
>   ls /usr/share/perl5/vendor_perl/AMC

<pre>
total 228
-rw-r--r-- 1 root root 28477 Dec  9 12:13 Annotate.pm
-rw-r--r-- 1 root root 19658 Dec  9 12:13 Basic.pm
-rw-r--r-- 1 root root  9834 Dec  9 12:13 Boite.pm
-rw-r--r-- 1 root root  6262 Dec  9 12:13 Calage.pm
-rw-r--r-- 1 root root 23817 Dec  9 12:13 Config.pm
drwxr-xr-x 2 root root  4096 Dec  9 12:13 DataModule
-rw-r--r-- 1 root root 13041 Dec  9 12:13 DataModule.pm
-rw-r--r-- 1 root root  7721 Dec  9 12:13 Data.pm
-rw-r--r-- 1 root root  1924 Dec  9 12:13 Exec.pm
drwxr-xr-x 3 root root  4096 Dec  9 12:13 Export
-rw-r--r-- 1 root root  7364 Dec  9 12:13 Export.pm
-rw-r--r-- 1 root root  2621 Dec  9 12:13 FileMonitor.pm
drwxr-xr-x 3 root root  4096 Dec  9 12:13 Filter
-rw-r--r-- 1 root root  2036 Dec  9 12:13 Filter.pm
drwxr-xr-x 2 root root  4096 Dec  9 12:13 Gui
-rw-r--r-- 1 root root  1745 Dec  9 12:13 Messages.pm
-rw-r--r-- 1 root root  8681 Dec  9 12:13 NamesFile.pm
-rw-r--r-- 1 root root  3038 Dec  9 12:13 Path.pm
drwxr-xr-x 2 root root  4096 Dec  9 12:13 Print
-rw-r--r-- 1 root root  3524 Dec  9 12:13 Print.pm
-rw-r--r-- 1 root root  3092 Dec  9 12:13 Queue.pm
-rw-r--r-- 1 root root  9391 Dec  9 12:13 ScoringEnv.pm
-rw-r--r-- 1 root root 13523 Dec  9 12:13 Scoring.pm
-rw-r--r-- 1 root root  7307 Dec  9 12:13 State.pm
-rw-r--r-- 1 root root  2789 Dec  9 12:13 Subprocess.pm
-rw-r--r-- 1 root root  2299 Dec  9 12:13 Substitute.pm
</pre>

12/09/2018 11:16 am - Benoit Landrieu
Alexis Bienvenüe wrote:
> Can you check that the installation stage installed the AMC perl modules in this directory?
> 
>   ls /usr/share/perl5/vendor_perl/AMC

it's ok, it's works ! I don't know exactly why but I've managed with your help, I will update the patch file and committing in archlinux aur !

thanks you for the time and your patience ;)

Benoit

12/09/2018 02:49 pm - Benoit Landrieu
Benoit Landrieu wrote:
> Alexis Bienvenüe wrote:
> > Can you check that the installation stage installed the AMC perl modules in this directory?
> > 
> >   ls /usr/share/perl5/vendor_perl/AMC
> 
> it's ok, it's works ! I don't know exactly why but I've managed with your help, I will update the patch file and committing in archlinux aur !
> 
> thanks you for the time and your patience ;)
> 
> Benoit

aur auto-multiple-choice works again !

thanks you very much for the help and the community ;)

12/29/2018 09:24 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied with git:fe465684c0.

Files
AMC-detect.cc 40.3 kB 12/06/2018 Alexis Bienvenüe
AMC-detect.cc 40.3 kB 12/06/2018 Alexis Bienvenüe
